Loading...
Searching...
No Matches
server_error_code.hpp File Reference

## Description

Provides mongocxx::v_noabi::server_error_code.

Go to the source code of this file.

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Enumerations

enum class | mongocxx::v_noabi::server_error_code : std::int32_t
| Errors which may be returned by the server. More...

## Functions

std::error_code | mongocxx::make_error_code (error_code error)
| Translate a mongocxx::v_noabi::error_code into a std::error_code.
std::error_code | mongocxx::v_noabi::make_error_code (server_error_code error)
| Translate a mongocxx::v_noabi::server_error_code into a std::error_code.
std::error_category const & | mongocxx::server_error_category ()
| Get the error_category for mongocxx library exceptions.
std::error_category const & | mongocxx::v_noabi::server_error_category ()
| Get the error_category for mongocxx library exceptions.